<template>
  <ui-box-corners>
    <ui-accordion :title="title">
      <slot/>
    </ui-accordion>
  </ui-box-corners>
</template>

<script lang="ts">
import { defineComponent } from 'vue'
import UiAccordion from './UiAccordion.vue'
import { UiBoxCorners } from '../UiBoxCorners'

export default defineComponent({
  name: 'ui-accordion-styled',
  props: {
    title: {
      type: String,
      required: true,
    },
  },
  components: {
    UiAccordion,
    UiBoxCorners,
  }
})
</script>
